﻿using Infragistics.Collections;
using System.Threading;
using System.ComponentModel;

namespace VCExploratory
{
    public class ChildLevelData : VirtualCollection<TestData>
    {
        public ChildLevelData()
        {
            this.ItemDataRequested += ChildLevelData_ItemDataRequested;

            this.LoadSize = 15;
            this.AnticipatedCount = MockDataService.ChildDataCount;
        }

        void ChildLevelData_ItemDataRequested(object sender, ItemDataRequestedEventArgs e)
        {
            var data = MockDataService.GetChildData(e.StartIndex, e.ItemsCount);

            var worker = new BackgroundWorker();
            worker.DoWork += (s, a) =>
            {
                Thread.Sleep(200);
            };
            worker.RunWorkerCompleted += (s, a) =>
            {
                this.LoadItems(e.StartIndex, data);
            };
            worker.RunWorkerAsync();
        }
    }
}
