﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Controls.Grids;
using Infragistics.Collections;
using System;
using System.ComponentModel;

namespace VCExploratory
{
    public partial class MainPage : UserControl, INotifyPropertyChanged
    {
        private RootLevelData _collection;

        public RootLevelData Collection
        {
            get { return this._collection; }
            set
            {
                if (value != this._collection)
                {
                    this._collection = value;
                    if (this.PropertyChanged != null)
                    {
                        this.PropertyChanged(this, new PropertyChangedEventArgs("Collection"));
                    }
                }
            }
        }

        public MainPage()
        {
            InitializeComponent();
            
            this.Loaded += MainPage_Loaded;
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            this.Collection = new RootLevelData();
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
