﻿using System.Collections.Generic;

namespace VCExploratory
{
    public class MockDataService
    {
        private static int _id = 0;
        private static string _dataText = "data";

        public static int RootDataCount = 200;
        public static int ChildDataCount = 200;

        public static List<TestData> GetRootData(int startIndex, int itemsCount)
        {
            string field;
            List<TestData> data = new List<TestData>();

            for (int i = startIndex; i < startIndex + itemsCount; i++)
            {
                field = _id + _dataText + i;

                data.Add(new TestData() { StringData = field, IntegerData = i, BoolData = (i % 2 == 0), Children = new ChildLevelData() });
            }

            _id++;

            return data;
        }

        public static List<TestData> GetChildData(int startIndex, int itemsCount)
        {
            string field;
            List<TestData> data = new List<TestData>();

            for (int i = startIndex; i < startIndex + itemsCount; i++)
            {
                field = _id + _dataText + i;

                data.Add(new TestData() { StringData = field, IntegerData = i, BoolData = (i % 2 == 0) });
            }

            _id++;

            return data;
        }
    }
}
