﻿using Infragistics.Collections;
using System.ComponentModel;
using System.Threading;

namespace VCExploratory
{
    public class RootLevelData : VirtualCollection<TestData>
    {
        public RootLevelData()
        {
            this.ItemDataRequested += RootLevelData_ItemDataRequested;

            this.LoadSize = 15;
            this.AnticipatedCount = MockDataService.RootDataCount;
        }

        void RootLevelData_ItemDataRequested(object sender, ItemDataRequestedEventArgs e)
        {
            var data = MockDataService.GetRootData(e.StartIndex, e.ItemsCount);

            var worker = new BackgroundWorker();
            worker.DoWork += (s, a) =>
                {
                    Thread.Sleep(200);
                };
            worker.RunWorkerCompleted += (s, a) =>
                {
                    this.LoadItems(e.StartIndex, data);
                };
            worker.RunWorkerAsync();
        }
    }
}
