﻿using System.ComponentModel;
using Infragistics.Collections;

namespace VCExploratory
{
    public class TestData : INotifyPropertyChanged
    {
        #region ITestData Members

        public string StringData
        {
            get
            {
                return _stringData;
            }
            set
            {
                _stringData = value;
                OnPropertyChanged("StringData");
            }
        }

        public virtual int IntegerData
        {
            get
            {
                return _integerData;
            }
            set
            {
                _integerData = value;
                OnPropertyChanged("IntegerData");
            }
        }

        public decimal DecimalData
        {
            get
            {
                return _decimalData;
            }
            set
            {
                _decimalData = value;
                OnPropertyChanged("DecimalData");
            }
        }

        public double DoubleData
        {
            get
            {
                return _doubleData;
            }
            set
            {
                _doubleData = value;
                OnPropertyChanged("DoubleData");
            }
        }

        public bool BoolData
        {
            get
            {
                return _boolData;
            }
            set
            {
                _boolData = value;
                OnPropertyChanged("BoolData");
            }
        }

        public bool? BoolDataNull
        {
            get
            {
                return _boolDataNull;
            }
            set
            {
                _boolDataNull = value;
                OnPropertyChanged("BoolDataNull");
            }
        }

        public VirtualCollection<TestData> Children
        {
            get
            {
                return _children;
            }
            set
            {
                _children = value;
                OnPropertyChanged("Children");
            }
        }

        #endregion

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        #region Members

        private string _stringData;
        private int _integerData;
        private decimal _decimalData;
        private double _doubleData;
        private bool _boolData;
        private bool? _boolDataNull;
        private VirtualCollection<TestData> _children;

        #endregion

        #region Constructors

        public TestData()
        {
        }

        #endregion

        #region Methods

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
